//////////////////////////////////////////////////////////////////////////////
// File:        charpick.h
// Purpose:     Character picker dialog
// Maintainer:  Otto Wyss
// Created:     2003-08-14
// RCS-ID:      $Id: charpick.h,v 1.1 2005/03/17 20:03:41 wyo Exp $
// Copyright:   (c) 2005 wyoGuide
// Licence:     wxWindows
//////////////////////////////////////////////////////////////////////////////

#ifndef _CHARPICK_H_
#define _CHARPICK_H_

//----------------------------------------------------------------------------
// information
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// headers
//----------------------------------------------------------------------------

//! wxWidgets headers
#include <wx/grid.h>     // grid support

//! application headers
#include "defsext.h"     // Additional definitions
#include "edit.h"        // Edit module


//============================================================================
// declarations
//============================================================================


//----------------------------------------------------------------------------
//! myCharPickerDlg
class myCharPickerDlg: public wxDialog {

public:

    //! constructor
    myCharPickerDlg (wxWindow *parent,
                     wxString *chrs);

    //! destructor
    ~myCharPickerDlg ();

    // event handlers
    void OnCancel (wxCommandEvent& event);
    void OnCellSelected (wxGridEvent& event);
    void OnOkay (wxCommandEvent& event);
    void OnHelp (wxCommandEvent &event);

private:

    // variables
    wxGrid *m_charpane;
    wxString m_chrs;

    DECLARE_EVENT_TABLE()
};

#endif // _CHARPICK_H_

