//////////////////////////////////////////////////////////////////////////////
// File:        langdlg.h
// Purpose:     choose language dialog
// Maintainer:  Otto Wyss
// Created:     2003-07-20
// RCS-ID:      $Id: langdlg.h,v 1.1 2005/03/17 20:03:43 wyo Exp $
// Copyright:   (c) 2005 wyoGuide
// Licence:     wxWindows
//////////////////////////////////////////////////////////////////////////////

#ifndef _LANGDLG_H_
#define _LANGDLG_H_

//----------------------------------------------------------------------------
// headers
//----------------------------------------------------------------------------


//============================================================================
// declarations
//============================================================================

//----------------------------------------------------------------------------
//! myLanguageDlg
class myLanguageDlg: public wxDialog
{
public:

    //! constructor
    myLanguageDlg (wxWindow *parent,
                   int current = 0,
                   long style = wxDEFAULT_DIALOG_STYLE);

    // event handlers
    void OnCancel (wxCommandEvent& event);
    void OnOkay (wxCommandEvent& event);

    // show dialog according to style
    int ShowModal (long style = wxDEFAULT_DIALOG_STYLE);

private:

    // variables
    wxComboBox *m_language;

    // buttons
    wxButton *m_cancelButton;
    wxButton *m_okayButton;

    DECLARE_EVENT_TABLE()
};

#endif // _LANGDLG_H_