/////////////////////////////////////////////////////////////////////////////
// Name:        setup.h configuration
// Purpose:     Configuration of optional items
// Maintainer:  Otto Wyss
// Created:     2003-05-07
// RCS-ID:      $Id: setup.h,v 1.2 2005/03/17 20:18:40 wyo Exp $
// Copyright:   (c) 2005 wyoGuide
// Licence:     wxWindows
//////////////////////////////////////////////////////////////////////////////

#ifndef _SETUP_H_
#define _SETUP_H_

//============================================================================
// declarations
//============================================================================


// ----------------------------------------------------------------------------
// Optional items
// ----------------------------------------------------------------------------

// Determines if the wxHtmlHelpController::KeywordIndex is available
//
// Default setting: 0 (current stable wxWidgets doesn't provide it)
// Recommended setting: 1 if available
#if !wxCHECK_VERSION(2, 5, 0)
#define HELP_INDEX_KEYWORD  0
#else
#define HELP_INDEX_KEYWORD  1
#endif

// Determines if the wxNotebook::HitTest is available
//
// Default setting: 0 (current stable wxWidgets doesn't provide it)
// Recommended setting: 1 if available
#if !wxCHECK_VERSION(2, 5, 0)
#define NOTEBOOK_HITTEST  0
#else
#define NOTEBOOK_HITTEST  1
#endif

#endif // _SETUP_H_

